Upstream information

CVE-2017-17833 at MITRE

Description

OpenSLP releases in the 1.0.2 and 1.1.0 code streams have a heap-related memory corruption issue which may manifest itself as a denial-of-service or a remote code-execution vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:H
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1090638 [RESOLVED / FIXED], 1099519 [RESOLVED / DUPLICATE], 1126909 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/openldap:beta1
  • openslp >= 2.0.0-18.17.1
Openstack Cloud Magnum Orchestration 7
  • openslp >= 2.0.0-18.17.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-1942
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-2132
SUSE CaaS Platform 3.0
  • openslp >= 2.0.0-18.17.1
Patchnames:
SUSE-CAASP-3.0-2018-2132
SUSE CaaS Platform ALL
  • openslp >= 2.0.0-18.17.1
Patchnames:
SUSE-CAASP-ALL-2018-1942
SUSE-CAASP-ALL-2018-2132
SUSE Enterprise Storage 4
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-Storage-4-2018-1942
SUSE-Storage-4-2018-2132
SUSE Linux Enterprise Desktop 12 SP3
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1942
SUSE-SLE-DESKTOP-12-SP3-2018-2132
SUSE Linux Enterprise Desktop 12 SP4
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • openslp >= 2.0.0-18.20.2
  • openslp-32bit >= 2.0.0-18.20.2
  • openslp-server >= 2.0.0-18.20.2
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • openslp >= 2.0.0-6.3.1
  • openslp-32bit >= 2.0.0-6.3.1
  • openslp-devel >= 2.0.0-6.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • openslp >= 2.0.0-6.12.2
  • openslp-32bit >= 2.0.0-6.12.2
  • openslp-devel >= 2.0.0-6.12.2
SUSE Linux Enterprise Module for Basesystem 15
  • openslp >= 2.0.0-6.3.1
  • openslp-32bit >= 2.0.0-6.3.1
  • openslp-devel >= 2.0.0-6.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1292
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • openslp-server >= 2.0.0-6.3.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • openslp-server >= 2.0.0-6.12.2
SUSE Linux Enterprise Module for Server Applications 15
  • openslp >= 2.0.0-6.3.1
  • openslp-server >= 2.0.0-6.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-1292
SUSE Linux Enterprise Point of Sale 11 SP3
  • openslp >= 1.2.0-172.27.3.1
  • openslp-server >= 1.2.0-172.27.3.1
Patchnames:
sleposp3-openslp-13690
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1942
SUSE-SLE-POS-12-SP2-CLIENT-2018-2132
SUSE Linux Enterprise Server 11 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • libslp1-openssl1 >= 1.2.0-172.27.3.1
  • libslp1-openssl1-32bit >= 1.2.0-172.27.3.1
  • openslp >= 1.2.0-172.27.3.1
  • openslp-32bit >= 1.2.0-172.27.3.1
  • openslp-openssl1 >= 1.2.0-172.27.3.1
  • openslp-server >= 1.2.0-172.27.3.1
Patchnames:
slessp3-openslp-13690
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • openslp >= 1.2.0-172.27.3.1
  • openslp-32bit >= 1.2.0-172.27.3.1
  • openslp-server >= 1.2.0-172.27.3.1
  • openslp-x86 >= 1.2.0-172.27.3.1
Patchnames:
slessp4-openslp-13690
SUSE Linux Enterprise Server 11-SECURITY
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libslp1-openssl1 >= 1.2.0-172.27.3.1
  • openslp-openssl1 >= 1.2.0-172.27.3.1
Patchnames:
secsp3-openslp-13690
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1942
SUSE-SLE-SERVER-12-SP1-2018-2132
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1942
SUSE-SLE-SERVER-12-SP2-BCL-2018-2132
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1942
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2132
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1942
SUSE-SLE-SERVER-12-SP2-2018-2132
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1942
SUSE-SLE-SERVER-12-SP3-2018-2132
SUSE Linux Enterprise Server 12 SP4
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1942
SUSE-SLE-SERVER-12-2018-2132
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1942
SUSE-SLE-SAP-12-SP1-2019-1057
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1942
SUSE-SLE-SAP-12-SP2-2018-2132
SUSE Linux Enterprise Software Development Kit 11 SP4
  • openslp >= 1.2.0-172.27.3.1
  • openslp-devel >= 1.2.0-172.27.3.1
  • openslp-server >= 1.2.0-172.27.3.1
Patchnames:
sdksp4-openslp-13690
SUSE Linux Enterprise Software Development Kit 12 SP3
  • openslp >= 2.0.0-18.17.1
  • openslp-devel >= 2.0.0-18.17.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1942
SUSE-SLE-SDK-12-SP3-2018-2132
SUSE Linux Enterprise Software Development Kit 12 SP4
  • openslp-devel >= 2.0.0-18.17.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • openslp-devel >= 2.0.0-18.20.2
SUSE OpenStack Cloud 7
  • openslp >= 2.0.0-18.17.1
  • openslp-32bit >= 2.0.0-18.17.1
  • openslp-server >= 2.0.0-18.17.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1942
SUSE-OpenStack-Cloud-7-2018-2132
openSUSE Leap 15.0
  • openslp >= 2.0.0-lp150.5.3.1
  • openslp-32bit >= 2.0.0-lp150.5.3.1
  • openslp-32bit-debuginfo >= 2.0.0-lp150.5.3.1
  • openslp-debuginfo >= 2.0.0-lp150.5.3.1
  • openslp-debugsource >= 2.0.0-lp150.5.3.1
  • openslp-devel >= 2.0.0-lp150.5.3.1
  • openslp-server >= 2.0.0-lp150.5.3.1
  • openslp-server-debuginfo >= 2.0.0-lp150.5.3.1
Patchnames:
openSUSE-2019-514
openSUSE Leap 42.3
  • openslp >= 2.0.0-18.7.1
  • openslp-32bit >= 2.0.0-18.7.1
  • openslp-debuginfo >= 2.0.0-18.7.1
  • openslp-debuginfo-32bit >= 2.0.0-18.7.1
  • openslp-debugsource >= 2.0.0-18.7.1
  • openslp-devel >= 2.0.0-18.7.1
  • openslp-server >= 2.0.0-18.7.1
  • openslp-server-debuginfo >= 2.0.0-18.7.1
Patchnames:
openSUSE-2018-1040


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
Magnum Orchestration openslp Released
SLES for SAP Applications openslp Affected
SUSE CaaS Platform 3.0 openslp Released
SUSE Container as a Service Platform 1.0 openslp Released
SUSE Container as a Service Platform 2.0 openslp Released
SUSE Linux Enterprise 15 Module for Basesystem openslp Released
SUSE Linux Enterprise 15 Module for Server Applications openslp Released
SUSE Linux Enterprise Desktop 11 openslp Ignore
SUSE Linux Enterprise Desktop 11 SP1 openslp Affected
SUSE Linux Enterprise Desktop 11 SP2 openslp Affected
SUSE Linux Enterprise Desktop 11 SP3 openslp Affected
SUSE Linux Enterprise Desktop 11 SP4 openslp Affected
SUSE Linux Enterprise Desktop 12 openslp Affected
SUSE Linux Enterprise Desktop 12 SP1 openslp Affected
SUSE Linux Enterprise Desktop 12 SP2 openslp Affected
SUSE Linux Enterprise Desktop 12 SP3 openslp Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search openslp Affected
SUSE Linux Enterprise High Performance Computing 12 SP2 openslp Affected
SUSE Linux Enterprise High Performance Computing 12 SP3 openslp Released
SUSE Linux Enterprise High Performance Computing 12 SP5 openslp Released
SUSE Linux Enterprise Server 11 SP1 openslp Affected
SUSE Linux Enterprise Server 11 SP1 LTSS openslp Affected
SUSE Linux Enterprise Server 11 SP2 openslp Affected
SUSE Linux Enterprise Server 11 SP2 LTSS openslp Affected
SUSE Linux Enterprise Server 11 SP2 for VMware openslp Affected
SUSE Linux Enterprise Server 11 SP3 openslp Affected
SUSE Linux Enterprise Server 11 SP3 LTSS openslp Released
SUSE Linux Enterprise Server 11 SP3 for VMware openslp Affected
SUSE Linux Enterprise Server 11 SP4 openslp Released
SUSE Linux Enterprise Server 12 openslp Affected
SUSE Linux Enterprise Server 12 LTSS openslp Released
SUSE Linux Enterprise Server 12 SP1 openslp Affected
SUSE Linux Enterprise Server 12 SP1 LTSS openslp Released
SUSE Linux Enterprise Server 12 SP2 openslp Affected
SUSE Linux Enterprise Server 12 SP2 LTSS openslp Released
SUSE Linux Enterprise Server 12 SP3 openslp Released
SUSE Linux Enterprise Server 12 SP5 openslp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openslp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openslp Released
SUSE Linux Enterprise Server for SAP Business All-in-One openslp Affected
SUSE Linux Enterprise Server for the Raspberry Pi openslp Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 openslp Released
SUSE Linux Enterprise Software Development Kit 12 SP3 openslp Released
Security Module for SUSE Linux Enterprise 11 openslp-openssl1 Released